using System;
using System.Collections;
using System.Runtime.Serialization;
using System.ComponentModel;
using System.Collections.Generic;

namespace RDH.Data.Models
{
	[Serializable]
	[DataContract]
    public partial class UserInfo : BaseSnapshotModel// IModel , INotifyPropertyChanged
    {
        private Guid _snapshotkey;
        private Guid? _key;
        private Guid? _createby;
        private DateTime _starttime;
        private DateTime? _endtime;
        private string _userid;
        private string _password;
        private string _ifcardid;
        private string _pingerprintdata;
        private Decimal _loingtrytimes;
        private bool _isactive;
        private Guid? _locationkey;
        private Guid? _sectionkey;
        private string _name;
        private bool? _sex;
        private Decimal? _age;
        private string _mobilephone;
        private string _telphone;
        private string _address;
        private bool? _issupperuser;
        private bool? _flag;
        private DateTime? _clienttime;
        private DateTime? _servertime;
        private string _ext01;
        private string _ext02;
        private string _ext03;
        private string _ext04;
        private string _ext05;
        private string _ext06;
        private string _ext07;
        private string _ext08;
        private string _ext09;
        private string _ext10;
        private string _sectionid;
        private string _usercode;
        private Section _section;

		#region Public Properties

        [DataMember]
        public virtual Guid SnapshotKey
        {
            get { return _snapshotkey; }
            set 
            {
                _snapshotkey = value;
                OnPropertyChanged("SnapshotKey");
            }
        }
        [DataMember]
        public virtual Guid? Key
        {
            get { return _key; }
            set 
            {
                _key = value;
                OnPropertyChanged("Key");
            }
        }
        [DataMember]
        public virtual Guid? CreateBy
        {
            get { return _createby; }
            set 
            {
                _createby = value;
                OnPropertyChanged("CreateBy");
            }
        }
        [DataMember]
        public virtual DateTime StartTime
        {
            get { return _starttime; }
            set 
            {
                _starttime = value;
                OnPropertyChanged("StartTime");
            }
        }
        [DataMember]
        public virtual DateTime? EndTime
        {
            get { return _endtime; }
            set 
            {
                _endtime = value;
                OnPropertyChanged("EndTime");
                EndFlag = value == null ? 0 : 1;
            }
        }
        [DataMember]
        public virtual string UserId
        {
            get { return _userid; }
            set 
            {
                _userid = value;
                OnPropertyChanged("UserId");
            }
        }
        [DataMember]
        public virtual string Password
        {
            get { return _password; }
            set 
            {
                _password = value;
                OnPropertyChanged("Password");
            }
        }
        [DataMember]
        public virtual string IfCardId
        {
            get { return _ifcardid; }
            set 
            {
                _ifcardid = value;
                OnPropertyChanged("IfCardId");
            }
        }
        [DataMember]
        public virtual string PingerPrintData
        {
            get { return _pingerprintdata; }
            set 
            {
                _pingerprintdata = value;
                OnPropertyChanged("PingerPrintData");
            }
        }
        [DataMember]
        public virtual Decimal LoingTryTimes
        {
            get { return _loingtrytimes; }
            set 
            {
                _loingtrytimes = value;
                OnPropertyChanged("LoingTryTimes");
            }
        }
        [DataMember]
        public virtual bool IsActive
        {
            get { return _isactive; }
            set 
            {
                _isactive = value;
                OnPropertyChanged("IsActive");
            }
        }
        [DataMember]
        public virtual Guid? LocationKey
        {
            get { return _locationkey; }
            set 
            {
                _locationkey = value;
                OnPropertyChanged("LocationKey");
            }
        }
        [DataMember]
        public virtual Guid? SectionKey
        {
            get { return _sectionkey; }
            set 
            {
                _sectionkey = value;
                OnPropertyChanged("SectionKey");
            }
        }
        [DataMember]
        public virtual string Name
        {
            get { return _name; }
            set 
            {
                _name = value;
                OnPropertyChanged("Name");
            }
        }
        [DataMember]
        public virtual bool? Sex
        {
            get { return _sex; }
            set 
            {
                _sex = value;
                OnPropertyChanged("Sex");
            }
        }
        [DataMember]
        public virtual Decimal? Age
        {
            get { return _age; }
            set 
            {
                _age = value;
                OnPropertyChanged("Age");
            }
        }
        [DataMember]
        public virtual string MobilePhone
        {
            get { return _mobilephone; }
            set 
            {
                _mobilephone = value;
                OnPropertyChanged("MobilePhone");
            }
        }
        [DataMember]
        public virtual string Telphone
        {
            get { return _telphone; }
            set 
            {
                _telphone = value;
                OnPropertyChanged("Telphone");
            }
        }
        [DataMember]
        public virtual string Address
        {
            get { return _address; }
            set 
            {
                _address = value;
                OnPropertyChanged("Address");
            }
        }
        [DataMember]
        public virtual bool? IsSupperUser
        {
            get { return _issupperuser; }
            set 
            {
                _issupperuser = value;
                OnPropertyChanged("IsSupperUser");
            }
        }
        [DataMember]
        public virtual bool? Flag
        {
            get { return _flag; }
            set 
            {
                _flag = value;
                OnPropertyChanged("Flag");
            }
        }
        [DataMember]
        public virtual DateTime? ClientTime
        {
            get { return _clienttime; }
            set 
            {
                _clienttime = value;
                OnPropertyChanged("ClientTime");
            }
        }
        [DataMember]
        public virtual DateTime? ServerTime
        {
            get { return _servertime; }
            set 
            {
                _servertime = value;
                OnPropertyChanged("ServerTime");
            }
        }
        [DataMember]
        public virtual string Ext01
        {
            get { return _ext01; }
            set 
            {
                _ext01 = value;
                OnPropertyChanged("Ext01");
            }
        }
        [DataMember]
        public virtual string Ext02
        {
            get { return _ext02; }
            set 
            {
                _ext02 = value;
                OnPropertyChanged("Ext02");
            }
        }
        [DataMember]
        public virtual string Ext03
        {
            get { return _ext03; }
            set 
            {
                _ext03 = value;
                OnPropertyChanged("Ext03");
            }
        }
        [DataMember]
        public virtual string Ext04
        {
            get { return _ext04; }
            set 
            {
                _ext04 = value;
                OnPropertyChanged("Ext04");
            }
        }
        [DataMember]
        public virtual string Ext05
        {
            get { return _ext05; }
            set 
            {
                _ext05 = value;
                OnPropertyChanged("Ext05");
            }
        }
        [DataMember]
        public virtual string Ext06
        {
            get { return _ext06; }
            set 
            {
                _ext06 = value;
                OnPropertyChanged("Ext06");
            }
        }
        [DataMember]
        public virtual string Ext07
        {
            get { return _ext07; }
            set 
            {
                _ext07 = value;
                OnPropertyChanged("Ext07");
            }
        }
        [DataMember]
        public virtual string Ext08
        {
            get { return _ext08; }
            set 
            {
                _ext08 = value;
                OnPropertyChanged("Ext08");
            }
        }
        [DataMember]
        public virtual string Ext09
        {
            get { return _ext09; }
            set 
            {
                _ext09 = value;
                OnPropertyChanged("Ext09");
            }
        }
        [DataMember]
        public virtual string Ext10
        {
            get { return _ext10; }
            set 
            {
                _ext10 = value;
                OnPropertyChanged("Ext10");
            }
        }
        [DataMember]
        public virtual string SectionId
        {
            get { return _sectionid; }
            set 
            {
                _sectionid = value;
                OnPropertyChanged("SectionId");
            }
        }
        [DataMember]
        public virtual string UserCode
        {
            get { return _usercode; }
            set 
            {
                _usercode = value;
                OnPropertyChanged("UserCode");
            }
        }
        [DataMember]
        public Section Section
        {
            get { return _section; }
            set 
            {
                _section = value;
                OnPropertyChanged("Section");
            }
        }
		#endregion 
	}
	
}